#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	long long n, m, x, y;
    cin>>n>>m;
    vector<int>v;
    v.push_back(1);
    int a[n][n];
    for (int i=0; i<n; i++) {
        for (int j=0; j<n; j++) {
            a[i][j]=0;
        }
    }
    for (int i=0; i<m; i++) {
        cin>>x>>y;
        a[x][y]=1;
        a[y][x]=1;
    }
    cout<<"NO";
}
